//+--------------------------------------------------------------------------------------+
//                                                               KG Monthly BS Bands      |
//                                                              Copyright  KG 2009      |
//+--------------------------------------------------------------------------------------+
#property copyright " KG 2009"                                    
#property link      "http://www.freedom.com"
//----
#define major 1
#define minor 0
//----
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1  CornflowerBlue
#property indicator_color2  CornflowerBlue
#property indicator_color3  CornflowerBlue

//----
int Periode = 24;

//----
double UpperBuf[];
double LowerBuf[];
double MiddleBuf[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void init()
  {       
   SetIndexStyle(0, DRAW_LINE, STYLE_DASHDOTDOT);
   SetIndexStyle(1, DRAW_LINE, STYLE_DASHDOTDOT);
   SetIndexStyle(2, DRAW_LINE, STYLE_SOLID, 2);
//----   
   SetIndexDrawBegin(0, Periode);
   SetIndexDrawBegin(1, Periode);
   SetIndexDrawBegin(2, Periode);
//----
   SetIndexBuffer(0, UpperBuf);
   SetIndexBuffer(1, LowerBuf);
   SetIndexBuffer(2, MiddleBuf);
   
   getPeriod();
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void deinit() 
  {
//----
  }  
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void start() 
  {
   int counted = IndicatorCounted();
//----
   if(counted < 0) 
       return (-1);
//----  
   if(counted > 0) 
       counted--;
   int limit = Bars - counted;
//----  
   for(int i = 0; i < limit; i++) 
     {
       UpperBuf[i] = iHigh(NULL, 0, iHighest(NULL, 0, MODE_HIGH, Periode, i));
       LowerBuf[i] = iLow(NULL, 0, iLowest(NULL, 0, MODE_LOW, Periode, i));                          
     }
   for(i = 0; i < limit; i++) 
     { 
         MiddleBuf[i]=(UpperBuf[i]+LowerBuf[i])/2;         
     }
   for(i = 0; i < limit; i++) 
     {
       UpperBuf[i] = (UpperBuf[i]+MiddleBuf[i])/2;
       LowerBuf[i] = (LowerBuf[i]+MiddleBuf[i])/2;                         
     }  
  }
//+------------------------------------------------------------------+

void getPeriod()
{
   switch(Period()) 
      {
         case 1: 
            Periode=0;
            break;
         case 5: 
            Periode=0;
            break;
         case 15: 
            Periode=1920;
            break;
         case 30: 
            Periode=960;
            break;
         case 60: 
            Periode=480;
            break;
         case 240: 
            Periode=120;
            break;
         case 1440: 
            Periode=20;
            break;
         case 10080: 
            Periode=0;
            break;
         case 43200: 
            Periode=0;
            break;
         
      }
 }